Skip to Content
SeyloDocs

Rename or describe a project

POST
/api/v1/projects.update

Changes a project's name or description. Omitted fields keep their value. The protected Panel project can be described but not renamed.

Needs projects.update on the project. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$
name?string

Shown in the sidebar; unique, case-insensitive.

Match^[A-Za-z0-9][A-Za-z0-9 ._-]*$
Length1 <= length <= 40
description?string
Lengthlength <= 500

Response Body

Success.

application/json
  1. response
id*string

Panel-issued id.

Match^[a-z0-9]{16}$
name*string

Shown in the sidebar; unique, case-insensitive.

Match^[A-Za-z0-9][A-Za-z0-9 ._-]*$
Length1 <= length <= 40
description*string
Lengthlength <= 500
protected*boolean
serviceCount*integer
Range0 <= value
nodeCount*integer
Range0 <= value
guestCount*integer
Range0 <= value
networkName*string
collapsed*boolean
position*|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/projects.update' \  -H 'Content-Type: application/json' \  -d '{  "projectId": "string"}'
Example Response
{  "id": "string",  "name": "string",  "description": "string",  "protected": true,  "serviceCount": 0,  "nodeCount": 0,  "guestCount": 0,  "networkName": "string",  "collapsed": true,  "position": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}